// creator  : weidu.exe (version 23100)
// argument : GELLAN.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~GELLAN~

IF ~!PartyHasItem("MISC13")
~ THEN BEGIN 0 // from:
  SAY #5271 /* ~Additional weapon proficiencies~ */
  IF ~~ THEN REPLY #15583 /* ~I'm not interested.  Please excuse me.~ */ DO ~StartStore("tem2304",LastTalkedToBy())~ EXIT
  IF ~~ THEN REPLY #15584 /* ~Yes, certainly, can I see what you have for sale?~ */ DO ~~ EXIT
END

IF ~PartyHasItem("MISC13")
~ THEN BEGIN 1 // from:
  SAY #5277 /* ~Death Saving Throw Reduced by~ */
  IF ~~ THEN REPLY #5278 /* ~Wand Saving Throw Reduced by~ */ EXIT
  IF ~!GlobalTimerExpired("Samuel","GLOBAL")
~ THEN REPLY #5279 /* ~Polymorph Saving Throw Reduced by~ */ GOTO 2
  IF ~GlobalTimerExpired("Samuel","GLOBAL")
~ THEN REPLY #5293 /* ~Additional Hit Points Gained~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 1.1
  SAY #5282 /* ~Breath Weapon Saving Throw Reduced by~ */
  IF ~!GlobalTimerExpired("Samuel","GLOBAL")
~ THEN DO ~AddexperienceParty(500)
ReputationInc(1)
TakePartyItem("MISC13")
GiveItem("POTN09",LastTalkedToBy)
GiveItem("POTN17",LastTalkedToBy)
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.2
  SAY #5292 /* ~Spells Saving Throw Reduced by~ */
  IF ~GlobalTimerExpired("Samuel","GLOBAL")
~ THEN DO ~TakePartyItem("MISC13")
~ EXIT
END
